=== debian/control ===
Source: faust
Section: sound
Priority: optional
Maintainer: Mario Lang <mlang@debian.org>
Build-Depends: debhelper (>= 7.0.50~), bison, flex
Standards-Version: 3.9.3

Package: faust
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ruby, libc6-dev | libc-dev, g++, make, libjack-dev, libgtk2.0-dev
Suggests: kate
Description: functional programming language for realtime audio applications
 Faust is a functional programming language specifically designed for realtime
 audio applications and plugins. The syntax of the language is block diagram
 oriented. The faust compiler translate signal processing specifications into
 optimized C++ code for signal processing applications.
 .
 The generated code can be wrapped into an 'architecture file' in order to
 create for example a standalone jack/gtk application. Several architecture
 file are provided and additional ones are fairly easy to add.
Homepage: http://faust.grame.fr/
