=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) prefix=`pwd`/debian/faust/usr install

override_dh_compress:
	dh_compress -X.lib -X.dsp -XMakefile
