=== debian/watch ===
version=3
http://sf.net/faudiostream/faust-(.+)\.tar\.gz debian uupdate
